package com.bocloud.cmp.model.hmc.sdk.module;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class VirtualOpticalMedia {
    private Metadata metadata;
    /**
     * AIX7100
     */
    private String mediaName;
    /**
     * 0eAIX7100
     */
    private String mediaUDId;
    /**
     * rw
     */
    private String mountType;
    /**
     * 3.1299
     */
    private String size;
    /**
     * @return the schemaVersion
     */
    /**
     * @param schemaVersion the schemaVersion to set
     */
    /**
     * @return the metadata
     */
    public Metadata getMetadata() {
        return metadata;
    }

    /**
     * @param metadata the metadata to set
     */
    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    /**
     * @return the mediaName
     */
    public String getMediaName() {
        return mediaName;
    }

    /**
     * @param mediaName the mediaName to set
     */
    public void setMediaName(String mediaName) {
        this.mediaName = mediaName;
    }

    /**
     * @return the mediaUDId
     */
    public String getMediaUDId() {
        return mediaUDId;
    }

    /**
     * @param mediaUDId the mediaUDId to set
     */
    public void setMediaUDId(String mediaUDId) {
        this.mediaUDId = mediaUDId;
    }

    /**
     * @return the mountType
     */
    public String getMountType() {
        return mountType;
    }

    /**
     * @param mountType the mountType to set
     */
    public void setMountType(String mountType) {
        this.mountType = mountType;
    }

    /**
     * @return the size
     */
    public String getSize() {
        return size;
    }

    /**
     * @param size the size to set
     */
    public void setSize(String size) {
        this.size = size;
    }

    public VirtualOpticalMedia() {
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
